namespace Netina.Domain.MartenEntities.Settings;

public class NavMenuSetting
{
    public bool ShowProductCategories { get; set; }
    public bool ShowBlogCategories { get; set; }
    public List<NavMenuItem> NavMenuItems { get; set; } = new();
}

public class NavMenuItem
{
    public NavMenuItem()
    {
        Id = Guid.NewGuid();
    }
    public Guid Id { get; set; }
    public string Title { get; set; } = string.Empty;
    public string Url { get; set; } = string.Empty;
    public Guid ParentId { get; set; }
    public NavMenuItem? Parent { get; set; }
    public List<NavMenuItem> Children { get; set; } = new();
}